Get video export status
curl --request GET \
--url https://api.tella.com/v1/videos/{id}/exports/{exportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tella.com/v1/videos/{id}/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tella.com/v1/videos/{id}/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export": {
"downloadUrl": "https://cdn.tella.tv/exports/vid_abc123/video.mp4",
"exportId": "Export-Story-vid_abc123def456/2026-01-15T10:00:00Z/Story/1920x1080/30FPS",
"progress": 100,
"status": "completed",
"updatedAt": "2024-01-15T15:00:00.000Z"
}
}{
"error": {
"code": "bad_request",
"doc_url": "https://tella.tv/docs/api-reference/errors#bad-request",
"message": "The request was malformed or contained invalid parameters."
}
}{
"error": {
"code": "unauthorized",
"doc_url": "https://tella.tv/docs/api-reference/errors#unauthorized",
"message": "Authentication is required. Provide a valid API key."
}
}{
"error": {
"code": "forbidden",
"doc_url": "https://tella.tv/docs/api-reference/errors#forbidden",
"message": "You don't have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"doc_url": "https://tella.tv/docs/api-reference/errors#not-found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "unprocessable_entity",
"doc_url": "https://tella.tv/docs/api-reference/errors#unprocessable-entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"doc_url": "https://tella.tv/docs/api-reference/errors#rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please slow down."
}
}{
"error": {
"code": "internal_server_error",
"doc_url": "https://tella.tv/docs/api-reference/errors#internal-server-error",
"message": "An unexpected error occurred on the server."
}
}Videos
Get video export status
Returns the current status and progress of an export. The download URL appears when the export is complete. The export ID contains slashes and must be percent-encoded as a single path segment. Requires edit access to the video, or viewer access to a video with downloads (or raw downloads) enabled.
GET
/
v1
/
videos
/
{id}
/
exports
/
{exportId}
Get video export status
Authorizations
API key obtained from your Tella account settings
Path Parameters
Unique video identifier
Example:
"vid_abc123def456"
Export identifier returned when the export was started. The identifier contains slashes and must be encoded as a single path segment when constructing a URL manually.
Example:
"Export-Story-vid_abc123def456/2026-01-15T10:00:00Z/Story/1920x1080/30FPS"
Response
OK
Current status of a video export
Status of a video export job
Show child attributes
Show child attributes
Was this page helpful?
⌘I